Description

Our snapshot template render test and generator only supports one host stub (ipv4 single NIC redhat OS). In order to test more ERB

codepaths, we need a way to create snapshots against multiple host stubs (e.g. IPv6, dualstack, static IPv4 or IPv6, debian family).

In order to do that, template metadata can be extended to define list of host stubs to create and test snapshots against.

Related issues:

Related to Foreman - Feature #31363: PXE templates should support dual stack ... Ready For Testing

Related to Foreman - Feature #31407: Remove spaces from snapshot tests Closed

Associated revisions

Revision 641c3f4a - 05/07/2021 10:34 AM - Lukáš Zapletal 

Fixes #31370 - multi-host stub template snapshots (#8149)

Our snapshot template render test and generator only supports one host stub (ipv4 single NIC redhat OS). In order to test more ERB codepaths, we

need a way to create snapshots against multiple host stubs (e.g. IPv6, dualstack, static IPv4 or IPv6, debian family). In order to do that, template

metadata can be extended to define list of host stubs to create and test snapshots against.

Snapshot files are now named ProvisioningTemplate/PXEGrub/Kickstart_default_PXEGrub.host4and6.snap.txt where host4and6 is the stub name,

this implements the following for starters:

host - the original simple host

host6 - IPv6 provisioning NIC

host4and6 - dualstack provisioning NIC

host4static - single stack IPv4 with static network credentials

host6static - single stack IPv4 with static network credentials

Revision 29ee5f48 - 05/25/2021 02:28 PM - Ondřej Ezr

Refs #31370 - simplify factory traits

In 641c3f4a9b we've introduced a factory trait for smart_proxy factory,

but instead of adding it to parent factory we added to all its children.

This is fixing that and simplifying the factories.

History

#1 - 11/23/2020 08:48 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8149 added

#2 - 11/23/2020 03:37 PM - Ronny Bremer

- Related to Feature #31363: PXE templates should support dual stack hosts added
#3 - 11/30/2020 10:47 AM - Lukas Zapletal

- Related to Feature #31407: Remove spaces from snapshot tests added

#4 - 05/07/2021 10:34 AM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#5 - 05/07/2021 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|641c3f4a9bb5401a8ac06e70b925918125193957.

#6 - 05/17/2021 08:29 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8530 added
